---
lang: en
title: 'API docs: context.injectable'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.injectable.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [injectable](./context.injectable.md)

## injectable namespace

A namespace to host shortcuts for `@injectable`

<b>Signature:</b>

```typescript
export declare namespace injectable 
```

## Functions

|  Function | Description |
|  --- | --- |
|  [provider(specs)](./context.injectable.provider.md) | <code>@injectable.provider</code> to denote a provider class<!-- -->A list of binding scope/tags or template functions to configure the binding |


